Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# VepArgs 

###

#### class VepArgs extends cannoli.VepArgs with ADAMSaveAnyArgs with ParquetArgs

Vep command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.VepArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VepArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. VepArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VepArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     VepArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     VepArgs → ADAMSaveAnyArgs
7.  var assembly: String
   Definition Classes
     VepArgs
8.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
9.  var cachePath: String
   Definition Classes
     VepArgs
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
12.  var deferMerging: Boolean
    Definition Classes
      VepArgs → ADAMSaveAnyArgs
13.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
14.  var disableFastConcat: Boolean
    Definition Classes
      VepArgs → ADAMSaveAnyArgs
15.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  var executable: String
    Definition Classes
      VepArgs
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  var image: String
    Definition Classes
      VepArgs
22.  var inputPath: String
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  var outputPath: String
    Definition Classes
      VepArgs → SaveArgs
29.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
30.  var sortFastqOutput: Boolean
    Definition Classes
      VepArgs → ADAMSaveAnyArgs
31.  var species: String
    Definition Classes
      VepArgs
32.  var stringency: String
33.  var sudo: Boolean
    Definition Classes
      VepArgs
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  var useDocker: Boolean
    Definition Classes
      VepArgs
37.  var useSingularity: Boolean
    Definition Classes
      VepArgs
38.  var vepArgs: String
    Definition Classes
      VepArgs
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.VepArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped